# qs/getStreams

**POST api/qs/getStreams**

Retrieves a list of all created quote streams.

### Request

{% tabs %}
{% tab title="Schema" %}

```json
{
}
```

{% endtab %}

{% tab title="Example" %}

```json
{
}
```

{% endtab %}
{% endtabs %}

#### Request Fields

This endpoint does not require any parameters.

### Response

{% tabs %}
{% tab title="Schema" %}

```json
{
  "streams": [
    {
      "streamId": <UUID>,
      "instrument": <string>,
      "takers": <array[Efx::ClientId]>
    }
  ]
}
```

{% endtab %}

{% tab title="Example" %}

```json
{
  "streams": [
    {
      "streamId": "1001c623-c99b-4a06-9577-fd91ae8b600f",
      "instrument": "BTC-EUR",
      "takers": [2]
    }
  ]
}
```

{% endtab %}
{% endtabs %}

#### Response Fields

| Field                 | Type                  | Description                                 |
| --------------------- | --------------------- | ------------------------------------------- |
| streams               | array                 | List of stream objects                      |
| streams\[].streamId   | UUID                  | Stream ID, required                         |
| streams\[].instrument | string                | Instrument name                             |
| streams\[].takers     | array\[Efx::ClientId] | Takers allowed to receive the stream        |
| streams\[].apiKey     | string                | API key the stream is attached to, optional |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/qs-stream-management/qs-getstreams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
